<?php

	$JS_Libraries = '';

	Foreach (array_map('basename', glob(PHPSET::$ROOT . '/Server/GCJavascript/ADV/*.js')) AS $IMPORT_LIBRARIES)
	{
		//echo $IMPORT_LIBRARIES . '<br />';
		$JS_Libraries = $JS_Libraries . "\n" . PHPRC_FSO_FILE::REF_READALL($IMPORT_LIBRARIES, PHPSET::$ROOT . '/Server/GCJavascript/ADV/');
	}
	
	header('Content-Type: application/javascript');
	echo PHPVC_COMPILER::REF_PROCESS_SCRIPT($JS_Libraries, False);
	Exit();

?>